Subject: [bug#52109] Mention bsdcat, bsdcpio and bsdtar in description of libarchive

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 22 Jan 2023 18:44:45 +0100

Am Sonntag, dem 22.01.2023 um 16:09 +0100 schrieb zimoun:
> Hi,
> 
> On Sat, 21 Jan 2023 at 18:59, Liliana Marie Prikler
> <[email-masked]> wrote:
> 
> > > Please find attach the patch. :-)  If it appears to you fine,
> > > could you merge it?
> > 
> > Hmm, I fear that this line doesn't do much except helping folk to
> > grep for "bsdtar" et al.  Should we perhaps explain in a sentence
> > or two what those commands do?
> 
> It is not ’grep’ but “guix search” so it is only an internal SEO. ;-)
> 
> From my point of view, some explanations about what these commands do
> are done by the man pages.
> 
> Well, this trivial patch is just a quick workaround at 2 levels. 
> One, because Guix File Search [1] is almost done but not very popular
> yet.
Fair enough.

> Two, because this libarchive should be split into 2 different
> packages or outputs: one for the library itself and another for the
> commands.
> 
> 1: <https://yhetil.org/guix/[email-masked]>
Splitting libarchive outputs is sadly a core-updates change, but we
could hide the existing one and add a user-facing one with the split if
that's what you desire.  I don't think adding a package for just the
tools has merits.

> However, if a table containing what these utilities do seems
> appropriated, here the description from the Debian package
> ’libarchive-tools’:
> 
> --8<---------------cut here---------------start------------->8---
> The bsdtar program is the default system 'tar' program used on
> FreeBSD. bsdtar uses the libarchive library as a backend which does
> all of the work for reading and writing archives in various formats.
> 
> The bsdcpio program is the default system 'cpio' program used on
> FreeBSD. bsdcpio uses the libarchive library as a backend which does
> all of the work for reading and writing archives in various formats
> 
> The bsdcat program reads archived data from files or from its
> standard input and uses the libarchive library to decompresses it to
> its standard output. It may be used for viewing the contents of
> archives or for passing it to other tools for further processing.
> --8<---------------cut here---------------end--------------->8---
I think these could be shortened as follows:

This package/the 'bin' output also provides
@itemize
@item @command{bsdtar} and @command{bsdcpio} to pack/unpack archives
like @command{tar} and @command{cpio} respectively, and
@item @command{bsdcat} to concatenate files like @command{cat} does,
while transparently unpacking archives.
@end itemize

WDYT?